slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetNumConstraints

Set the number of constraints.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetNumConstraints(BV V,PetscInt nc)

Logically Collective

### Input Parameters

| V | - basis vectors
| nc | - number of constraints

### Notes

This function sets the number of constraints to nc and marks all remaining columns as regular. Normal user would call BVInsertConstraints() instead.

If nc is smaller than the previously set value, then some of the constraints are discarded. In particular, using nc=0 removes all constraints preserving the content of regular columns.

### See Also

BVInsertConstraints()

### Level

developer

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages